// GpioSample.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include <winioctl.h>
#include "GpioSample.h"

#define INPUT_GPIO_NUM 170
#define OUTPUT_GPIO_NUM 140 

#define SIMULATED_CLK_CYCLE_TIME		2000 //in mSecs
#define SIMULATED_CLK_NUMBER_OF_CYCLES	5 

int _tmain(int argc, _TCHAR* argv[])
{
	DWORD counter = 0;
	HANDLE hGPIO = GPIOOpen();	

	
	/**
		This section demonstrates how to set s GPIO pin as output.
		We will set the voltage level of GPIO 140 (pin 14 on P9 in the
		SB_T35). If you measure the output with an oscilliscope, you will 
		see the 1Hz clock pattern (will last for 10 seconds)
	*/
	while(counter++ < SIMULATED_CLK_NUMBER_OF_CYCLES)
	{
		//Set 141 to low
		GPIOSetAsOutput(hGPIO,OUTPUT_GPIO_NUM,false);
		Sleep(SIMULATED_CLK_CYCLE_TIME/2);
		//Set 141 to high
		GPIOSetAsOutput(hGPIO,OUTPUT_GPIO_NUM,true);
		Sleep(SIMULATED_CLK_CYCLE_TIME/2);
	}

	/**
		This section demonstrates how to measure the input level on a GPIO.
		We use gpio 170, which is connected to pin 1 on P11 in the SB_T35.
	*/
	//First configure it as input
	GPIOSetAsInput(hGPIO,INPUT_GPIO_NUM);
	//Measure it's level and report it
	if(IsGpioInputHigh(hGPIO,INPUT_GPIO_NUM))
		printf("Gpio number %ld is high\r\n",INPUT_GPIO_NUM);
	else
		printf("Gpio number %ld is low\r\n",INPUT_GPIO_NUM);
	

	GPIOClose(hGPIO);
	return 0;
}

